Menu

apiMyLedger

QueryKey required

Arguments

NameTypeDescription
beforeSeqFloat
limitInt
types[String!]

Returns

SellerLedgerPage!

Example

GraphQL
query ApiMyLedger($beforeSeq: Float, $limit: Int, $types: [String!]) {
  apiMyLedger(beforeSeq: $beforeSeq, limit: $limit, types: $types) {
    items {
      account
      balanceAfterMillimes
      createdAt
      entryId
      id
      memo
      metadataJson
      referenceId
      referenceType
      seq
      signedAmountMillimes
      type
    }
    nextBeforeSeq
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"query ApiMyLedger($beforeSeq: Float, $limit: Int, $types: [String!]) { apiMyLedger(beforeSeq: $beforeSeq, limit: $limit, types: $types) { items { account balanceAfterMillimes createdAt entryId id memo metadataJson referenceId referenceType seq signedAmountMillimes type } nextBeforeSeq } }"}'